package me.Demon.AskyBlockWarps.Listener;

import com.wasteofplastic.askyblock.ASkyBlockAPI;
import de.tr7zw.itemnbtapi.NBTItem;
import me.Demon.AskyBlockWarps.Main;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.Bukkit;
import org.bukkit.Material;
import org.bukkit.Sound;
import org.bukkit.World;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.event.inventory.InventoryCloseEvent;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;
import org.bukkit.scheduler.BukkitRunnable;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

public class AcceptGui implements Listener {
    public static String invtitle = "帝国战争 - 岛屿邀请";
    public static List<Player> playerList = new ArrayList<>();
    @EventHandler
    public void onclick(InventoryClickEvent e) {
        int rawSlot = e.getRawSlot();
        Player p = (Player) e.getWhoClicked();
        if (e.getInventory() != null && e.getInventory().getTitle().contains(invtitle)) {
            e.setCancelled(true);
            if (rawSlot >= 0 && rawSlot < e.getInventory().getSize()) {
                if(rawSlot == 2){
                    playerList.add(p);
                    p.closeInventory();
                    p.performCommand("is accept");
                    new BukkitRunnable() {
                        @Override
                        public void run() {
                            playerList.remove(p);
                        }
                    }.runTaskLater(Main.plugin,60L);
                }
                if(rawSlot == 6){
                    p.performCommand("is reject");
                }
            }
        }
    }


    @EventHandler
    public void onclick(InventoryCloseEvent e) {
        Player p = (Player) e.getPlayer();
        if (e.getInventory() != null && e.getInventory().getTitle().contains(invtitle)) {
            if (!playerList.contains(p)) {
                p.performCommand("is reject");
            }
        }
    }

    public static void Opengui(Player p) {
        Inventory inv = Bukkit.createInventory(null, 9, invtitle);
        inv.setItem(2,Accept());
        inv.setItem(6,Deny());
        p.openInventory(inv);
    }

    public static ItemStack Accept() {
        ItemStack item = new ItemStack(Material.SLIME_BALL);
        ItemMeta meta = item.getItemMeta();
        meta.setDisplayName("§6§l接受邀请");
        List<String> lore = new ArrayList<>();
        lore.add("§r");
        lore.add("§6▸ §e点击操作");
        meta.setLore(lore);
        item.setItemMeta(meta);
        return item;
    }
    public static ItemStack Deny() {
        ItemStack item = new ItemStack(Material.MAGMA_CREAM);
        ItemMeta meta = item.getItemMeta();
        meta.setDisplayName("§c§l拒绝邀请");
        List<String> lore = new ArrayList<>();
        lore.add("§r");
        lore.add("§6▸ §e点击操作");
        meta.setLore(lore);
        item.setItemMeta(meta);
        return item;
    }
}
